summaryrefslogtreecommitdiff
path: root/hiderepo
diff options
context:
space:
mode:
authorGravatar steering72532026-05-18 01:25:46 -0600
committerGravatar steering72532026-05-18 01:25:46 -0600
commitdc54a69b7552d8d44adf25b8009992c4a2b395be (patch)
tree0c1864e9239bf02fc83408be378d983070250ead /hiderepo
init
Diffstat (limited to 'hiderepo')
-rwxr-xr-xhiderepo10
1 files changed, 10 insertions, 0 deletions
diff --git a/hiderepo b/hiderepo
new file mode 100755
index 0000000..2b3c9e3
--- /dev/null
+++ b/hiderepo
@@ -0,0 +1,10 @@
+#!/bin/bash
+# Hide a repo from the web interface.
+# This DOES NOT prevent users from cloning the repo.
+
+if [[ $1 == *..* ]]; then
+ echo "No .." >&2
+ exit 1
+fi
+
+git -C "$HOME/$1.git" config --local cgit.hide 1